/**
 * XServiceEventPerformer2.java
 *
 * File generated from the medication2::XServiceEventPerformer2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XServiceEventPerformer2.
 *
 * 
 */

@XmlType(name = "XServiceEventPerformer")
@XmlEnum
@XmlRootElement(name = "XServiceEventPerformer2")
public enum XServiceEventPerformer2 {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("PPRF")
	PPRF("PPRF"),
	@XmlEnumValue("SPRF")
	SPRF("SPRF");
	
	private final String value;

    XServiceEventPerformer2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XServiceEventPerformer2 fromValue(String v) {
        for (XServiceEventPerformer2 c: XServiceEventPerformer2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
